<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
$nopixel_redux_demo = get_option('redux_demo');
get_header(); ?> 
<?php if(isset($nopixel_redux_demo['404_banner']['url']) && $nopixel_redux_demo['404_banner']['url'] != ''){?>
    <div class="banner-header section-padding valign bg-img bg-fixed" data-overlay-dark="4" data-background="<?php echo esc_url($nopixel_redux_demo['404_banner']['url']); ?>">
    <?php }else{?>
<div class="banner-header section-padding valign bg-img bg-fixed" data-overlay-dark="4" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/04.jpg">
<?php } ?>
<div class="container">
    <div class="row">
        <div class="col-md-6 offset-md-3 text-center caption mt-90">
            <h5 class="animate-box" data-animate-effect="fadeInUp"><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'nopixel' )?></a> / <?php if(isset($nopixel_redux_demo['404_meta']) && $nopixel_redux_demo['404_meta'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['404_meta']));?>
            <?php }else{?>
                <?php echo esc_html__( '404', 'nopixel' );
            }?></h5>
            <h1 class="animate-box" data-animate-effect="fadeInUp"><?php if(isset($nopixel_redux_demo['404_heading']) && $nopixel_redux_demo['404_heading'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['404_heading']));?>
            <?php }else{?>
                <?php echo esc_html__( 'Not Found', 'nopixel' );
            }?></h1>
            <hr class="animate-box" data-animate-effect="fadeInUp">
            <p class="animate-box" data-animate-effect="fadeInUp"><?php if(isset($nopixel_redux_demo['404_sub_heading']) && $nopixel_redux_demo['404_sub_heading'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['404_sub_heading']));?>
            <?php }else{?>
                <?php echo esc_html__( 'The page you are looking for was moved, removed, renamed or never existed.', 'nopixel' );
            }?></p>
        </div>
    </div>
</div>
</div>
<!-- hr -->
<hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">
<!-- Not found 404 -->
<div class="section-padding">
<div class="container">
    <div class="row">
        <div class="col-md-6 offset-md-3 text-center"> 
            <?php if(isset($nopixel_redux_demo['404_image']['url']) && $nopixel_redux_demo['404_image']['url'] != ''){?>
            <img src="<?php echo esc_url($nopixel_redux_demo['404_image']['url']); ?>" class="mb-30" alt="">
            <?php }else{?>
            <img src="<?php echo get_template_directory_uri();?>/assets/img/404-image.png" class="mb-30" alt="">
            <?php } ?>
            <div class="section-title"><?php if(isset($nopixel_redux_demo['404_title']) && $nopixel_redux_demo['404_title'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['404_title']));?>
            <?php }else{?>
                <?php echo esc_html__( 'Sorry We Cant Find', 'nopixel' );
            }?> <span><?php if(isset($nopixel_redux_demo['404_subtitle']) && $nopixel_redux_demo['404_subtitle'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['404_subtitle']));?>
            <?php }else{?>
                <?php echo esc_html__( 'That Page!', 'nopixel' );
            }?></span></div>
            <p><?php if(isset($nopixel_redux_demo['404_desc']) && $nopixel_redux_demo['404_desc'] != ''){?>
                <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['404_desc']));?>
            <?php }else{?>
                <?php echo esc_html__( 'The page you are looking for was moved, removed, renamed or never existed.', 'nopixel' );
            }?></p>
            <div class="error-form">
                <form method="post" action="<?php echo esc_url(home_url('/')); ?>">
                    <div class="form-group clearfix">
                        <input type="search" name="s" placeholder="<?php echo esc_html__( 'Search here', 'nopixel' )?>" required="">
                        <button type="submit" class="theme-btn"><span class="ti-search"></span></button>
                    </div>
                </form>
                </div> <a href="<?php echo esc_url(home_url('/')); ?>" class="btn-curve btn-bgyellow mt-30 text-center"><span><?php if(isset($nopixel_redux_demo['404_button']) && $nopixel_redux_demo['404_button'] != ''){?>
                    <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['404_button']));?>
                <?php }else{?>
                    <?php echo esc_html__( 'Back to home', 'nopixel' );
                }?></span></a>
            </div>
        </div>
    </div>
</div>
<!-- hr -->
<hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">

<?php get_footer(); ?>