<?php
/*
 * The Template for displaying all posts
 * 
 */
$nopixel_redux_demo = get_option('redux_demo');
get_header(); ?>

<?php if(isset($nopixel_redux_demo['blog_image']['url']) && $nopixel_redux_demo['blog_image']['url'] != ''){?>
    <div class="banner-header section-padding valign bg-img bg-fixed" data-overlay-dark="4" data-background="<?php echo esc_url($nopixel_redux_demo['blog_image']['url']);?>">
    <?php }else{?>
        <div class="banner-header section-padding valign bg-img bg-fixed" data-overlay-dark="4" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/04.jpg">
        <?php } ?>
        <div class="container">
            <div class="row">
                <div class="col-md-6 text-left caption mt-90">
                    <h1 class="animate-box" data-animate-effect="fadeInUp"><?php
                        if ( is_day() ) :
                            printf( esc_html__( 'Daily Archives: %s', 'nopixel' ), get_the_date() );
                        elseif ( is_month() ) :
                            printf( esc_html__( 'Monthly Archives: %s', 'nopixel' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'nopixel' ) ) );
                        elseif ( is_year() ) :
                            printf( esc_html__( 'Yearly Archives: %s', 'nopixel' ), get_the_date( _x( 'Y', 'yearly archives date format', 'nopixel' ) ) );
                        else :
                            echo esc_html__( 'Archives', 'nopixel' );
                        endif;
                        ?></h1>
                </div>
            </div>
        </div>
    </div>
    <!-- hr -->
    <hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">
    <!-- Blog -->
    <div class="nopixel-blog section-padding">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <?php 
                    while (have_posts()): the_post();
                        ?>
                        <div class="blog-content">
                            <div class="img left">
                                <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a>
                            </div>
                            <div class="content">
                                <div class="cont">
                                    <div class="info"><span> <?php the_author_posts_link(); ?> <p class="distance">/</p> <?php the_time(get_option( 'date_format'));?></span></div>
                                    <h5><a href="<?php the_permalink();?>"><?php the_title();?></a></h5> 
                                    <p class="text-content"><?php if(isset($nopixel_redux_demo['blog_excerpt'])){?>
                                        <?php echo esc_attr(nopixel_excerpt($nopixel_redux_demo['blog_excerpt'])); ?>
                                    <?php }else{?>
                                        <?php echo esc_attr(nopixel_excerpt(40)); 
                                    }
                                    ?></p> 
                                    <a href="<?php the_permalink();?>" class="more" data-splitting=""><span><?php echo esc_html__( 'Read More', 'nopixel' )?></span></a>
                                </div>
                            </div>
                        </div>
                    <?php endwhile; ?>
                    <!-- Pagination -->
                    <div class="row">
                        <div class="col-md-12 text-center animate-box" data-animate-effect="fadeInUp">
                            <?php nopixel_pagination();?>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="nopixel-sidebar-part animate-box" data-animate-effect="fadeInLeft">
                        <?php get_sidebar();?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- hr -->
    <hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">


<?php
get_footer();
?>