<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains comments and the comment form.
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>

  <?php if ( have_comments() ) : ?>


<div class="col-md-7">
  <h3 class="comments-title"><?php comments_number( esc_html__('Comments (0)', 'nopixel'), esc_html__('Comment (1)', 'nopixel'), esc_html__('Comments (%)', 'nopixel')); ?></h3>
    <?php wp_list_comments('callback=nopixel_theme_comment'); ?>
</div>
                               
<?php
        // Are there comments to navigate through?
if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
  ?>
<div class="text-center">
  <ul class="pagination">
    <li>
      <?php //Create pagination links for the comments on the current post, with single arrow heads for previous/next
      paginate_comments_links( array(
        'prev_text' => wp_specialchars_decode(esc_html__( '<i class="ti-angle-left"></i>', 'nopixel' ),ENT_QUOTES), 
        'next_text' => wp_specialchars_decode(esc_html__( '<i class="ti-angle-right"></i>', 'nopixel' ),ENT_QUOTES)
      ));  ?>
    </li> 
  </ul>
</div>
<?php endif; // Check for comment navigation ?>
<?php endif; ?>
<?php
    if ( is_singular() ) wp_enqueue_script( "comment-reply" );
        $aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => 'commentform',        
                'class_form' => 'row',                         
                'title_reply'=> esc_html__( 'Leave a comments', 'nopixel' ),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<div class="col-md-12">
                                      <input type="text" id="name" class="form-control" placeholder="'.esc_attr__('Full Name *', 'nopixel').'" name="author">
                                  </div>',
                    'email' => '<div class="col-md-12">
                                    <input type="email" placeholder="'.esc_attr__('Email Address *', 'nopixel').'" id="email" name="email">
                                </div>'
                ) ),
                'comment_field' => '<div class="col-md-12">
                                        <textarea name="comment" id="message" cols="40" rows="4" placeholder="'.esc_attr__('Write a Comment...', 'nopixel').'"></textarea>
                                    </div>',                    
                 'label_submit' => esc_attr__( 'Post a Comment', 'nopixel' ),
                 'class_submit' => 'btn-curve btn-bgyellow mt-15',
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',               
        )
    ?>
<?php if ( comments_open() ) : ?>
  <div class="col-md-4 offset-md-1">
    <?php comment_form($comment_args); ?>
  </div>
<?php endif; ?>