<?php
$nopixel_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
// require_once get_template_directory() . '/framework/widget/sidebar-service-menu.php';
require_once get_template_directory() . '/framework/class-ocdi-importer.php';
//Theme Set up:
function nopixel_theme_setup() {
    /*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */
	add_theme_support( 'custom-header' ); 
	add_theme_support( 'custom-background' );
	$lang = get_template_directory_uri() . '/languages';
  load_theme_textdomain('nopixel', $lang);
  remove_filter('the_content', 'wpautop');

  add_theme_support( 'post-thumbnails' );
  // Adds RSS feed links to <head> for posts and comments.
  add_theme_support( 'automatic-feed-links' );
  // Switches default core markup for search form, comment form, and comments
  // to output valid HTML5.
  add_theme_support( 'title-tag' );
  add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
    // This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Menu: Chosen menu in All Pages except Home Page', 'nopixel' ),
    'onepage' =>  esc_html__( 'One Page Menu: Chosen menu in one pages', 'nopixel' ),
    'dark' =>  esc_html__( 'Dark Menu: Chosen menu in all dark pages', 'nopixel' ),
	) );
    // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'nopixel_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;

function nopixel_theme_scripts_styles() {
	$nopixel_redux_demo = get_option('redux_demo');
	$protocol = is_ssl() ? 'https' : 'http';
    wp_enqueue_style( 'plugins', get_template_directory_uri().'/assets/css/plugins.css');
    if(!is_page_template('page-templates/home-onepage-dark.php') and !is_page_template('page-templates/dark-home.php')){
      wp_enqueue_style( 'nopixel-style', get_template_directory_uri().'/assets/css/style.css');
    }
    if(is_page_template('page-templates/home-onepage-dark.php') or is_page_template('page-templates/dark-home.php')){
      wp_enqueue_style( 'nopixel-style-2', get_template_directory_uri().'/assets/css/style2.css');
    }
    if(is_page_template('page-templates/coming-soon.php')){
      wp_enqueue_style('bootstrap', get_template_directory_uri().'/assets/css/plugins/bootstrap.min.css');
      wp_enqueue_style('themify-icons', get_template_directory_uri().'/assets/css/plugins/themify-icons.css');
      wp_enqueue_style('nopixel-helper', get_template_directory_uri().'/assets/css/plugins/helper.js');
    }
    wp_enqueue_style( 'nopixel-css', get_stylesheet_uri(), array(), '2021-09-28' );
	if($nopixel_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    }
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
    wp_enqueue_script("jquery-3.5.1", get_template_directory_uri()."/assets/js/jquery-3.5.1.min.js",array(),false,true);
    wp_enqueue_script("jquery-migrate-3.0.0", get_template_directory_uri()."/assets/js/jquery-migrate-3.0.0.min.js",array(),false,true);
    wp_enqueue_script("modernizr-2.6.2", get_template_directory_uri()."/assets/js/modernizr-2.6.2.min.js",array(),false,true);
    wp_enqueue_script("popper", get_template_directory_uri()."/assets/js/popper.min.js",array(),false,true);
    wp_enqueue_script("bootstrap", get_template_directory_uri()."/assets/js/bootstrap.min.js",array(),false,true);
    wp_enqueue_script("scrollIt", get_template_directory_uri()."/assets/js/scrollIt.min.js",array(),false,true);
    wp_enqueue_script("jquery-waypoints", get_template_directory_uri()."/assets/js/jquery.waypoints.min.js",array(),false,true);
    wp_enqueue_script("owl-carousel", get_template_directory_uri()."/assets/js/owl.carousel.min.js",array(),false,true);
    wp_enqueue_script("jquery-stellar", get_template_directory_uri()."/assets/js/jquery.stellar.min.js",array(),false,true);
    wp_enqueue_script("jquery-magnific-popup", get_template_directory_uri()."/assets/js/jquery.magnific-popup.js",array(),false,true);
    wp_enqueue_script("YouTubePopUp", get_template_directory_uri()."/assets/js/YouTubePopUp.js",array(),false,true);
    if(!is_page_template('page-templates/home-onepage-dark.php') and !is_page_template('page-templates/dark-home.php')){
    wp_enqueue_script("nopixel-custom", get_template_directory_uri()."/assets/js/custom.js",array(),false,true);
    }
    if(is_page_template('page-templates/home-onepage-dark.php') or is_page_template('page-templates/dark-home.php')){
      wp_enqueue_script("nopixel-custom-2", get_template_directory_uri()."/assets/js/custom2.js",array(),false,true);
  }
    if(is_page_template('page-templates/coming-soon.php')){
      wp_enqueue_script("validator", get_template_directory_uri()."/assets/js/validator.js",array(),false,true);
      wp_enqueue_script("nopixel-coming", get_template_directory_uri()."/assets/js/coming.js",array(),false,true);
    }
   }
   
add_action( 'wp_enqueue_scripts', 'nopixel_theme_scripts_styles' );
add_filter('style_loader_tag', 'myplugin_remove_type_attr', 10, 2);
add_filter('script_loader_tag', 'myplugin_remove_type_attr', 10, 2);

function myplugin_remove_type_attr($tag, $handle) {
    return preg_replace( "/type=['\"]text\/(javascript|css)['\"]/", '', $tag );
}
//Custom Excerpt Function
function nopixel_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
}

function move_comment_field_to_bottom( $fields ) {
$comment_field = $fields['comment'];
unset( $fields['comment'] );
$fields['comment'] = $comment_field;
return $fields;
}
add_filter( 'comment_form_fields', 'move_comment_field_to_bottom');

// Widget Sidebar
function nopixel_widgets_init() {
	register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar', 'nopixel' ),
    'id'            => 'sidebar-1',        
		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'nopixel' ),        
		'before_widget' => '<div id="%1$s" class="single-widget mb-45 %2$s">',        
		'after_widget'  => '</div>',        
		'before_title'  => '<h3 class="widget-title">',        
		'after_title'   => '</h3>',
    ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Service Sidebar', 'nopixel' ),
    'id'            => 'sidebar-2',        
    'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'nopixel' ),        
    'before_widget' => '<div id="%1$s" class="single-widget mb-45 %2$s">',        
    'after_widget'  => '</div>',        
    'before_title'  => '<h3 class="widget-title">',        
    'after_title'   => '</h3>',
    ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Widget 1', 'nopixel' ),
    'id'            => 'footer-widget-1',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'nopixel' ),
    'before_widget' => '<div >',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Widget 2', 'nopixel' ),
    'id'            => 'footer-widget-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'nopixel' ),
    'before_widget' => '<div >',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Widget 3', 'nopixel' ),
    'id'            => 'footer-widget-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'nopixel' ),
    'before_widget' => '<div >',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
  register_sidebar( array(
    'name'          => esc_html__( 'Footer Widget 4', 'nopixel' ),
    'id'            => 'footer-widget-4',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'nopixel' ),
    'before_widget' => '<div >',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>',
  ) );
}
add_action( 'widgets_init', 'nopixel_widgets_init' );

//function tag widgets
function nopixel_tag_cloud_widget($args) {
	$args['number'] = 0; //adding a 0 will display all tags
	$args['largest'] = 18; //largest tag
	$args['smallest'] = 11; //smallest tag
	$args['unit'] = 'px'; //tag font unit
	$args['format'] = 'list'; //ul with a class of wp-tag-cloud
	$args['exclude'] = array(20, 80, 92); //exclude tags by ID
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'nopixel_tag_cloud_widget' );

function nopixel_excerpt() {
  $nopixel_redux_demo = get_option('redux_demo');
  if(isset($nopixel_redux_demo['blog_excerpt'])){
    $limit = $nopixel_redux_demo['blog_excerpt'];
  }else{
    $limit = 80;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function nopixel_excerpt_2() {
  $nopixel_redux_demo = get_option('redux_demo');
  if(isset($nopixel_redux_demo['blog_excerpt_2'])){
    $limit = $nopixel_redux_demo['blog_excerpt_2'];
  }else{
    $limit = 15;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}


//pagination
function nopixel_pagination($pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
    'format'    => '',
    'current'     => max( 1, get_query_var('paged') ),
    'total'     => $pages,
    'prev_text' => htmlspecialchars_decode(esc_html__( '<i class="ti-angle-left"></i>', 'nopixel' )),
    'next_text' => htmlspecialchars_decode(esc_html__( '<i class="ti-angle-right"></i>', 'nopixel' )),   
    'type'      => 'list',
    'end_size'    => 3,
    'mid_size'    => 3
);
    $return =  paginate_links( $pagination );
  echo str_replace( "<ul class='page-numbers'>", '<ul class="nopixel-pagination-wrap align-center mb-30 mt-30">', $return );
}

function nopixel_search_form( $form ) {
    $form = '

    <div class="nopixel-sidebar-block nopixel-sidebar-block-search">
        <form class="nopixel-sidebar-search-form" action="' . esc_url(home_url('/')) . '">
            <input type="search" name="s" class="form-control search-field" id="search" placeholder="'.esc_html__('Search...', 'nopixel').'">
            <button type="submit" class="ti-arrow-right nopixel-sidebar-search-submit"></button>
        </form>
    </div>
	';
    return $form;
}
add_filter( 'get_search_form', 'nopixel_search_form' );
//Custom comment List:

// Comment Form
function nopixel_theme_comment($comment, $args, $depth) {
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>

  <div class="nopixel-post-comment-wrap">
    <div class="nopixel-user-comment"> <?php echo get_avatar($comment,$size='120' ); ?> </div>
    <div class="nopixel-user-content">
      <h6><?php printf( get_comment_author_link()) ?><span> <?php comment_time(get_option( 'date_format' )); ?></span></h6>
     <?php comment_text() ?> <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
    </div>
  </div>
     
<?php
}

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'nopixel_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function nopixel_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'nopixel' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'nopixel' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Widgets', 'nopixel' ),
            'slug'      => 'classic-widgets',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'nopixel' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Contact Form 7', 'nopixel' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'SVG Support', 'nopixel' ),
            'slug'      => 'svg-support',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'WP Maximum Execution Time Exceeded', 'nopixel' ),
            'slug'      => 'wp-maximum-execution-time-exceeded',
            'required'  => true,
        ), 
      array(
            'name'                     => esc_html__( 'Elementor', 'nopixel' ),
            'slug'                     => 'elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/elementor.zip',
        ),
      array(
            'name'                     => esc_html__( 'Nopixel Common', 'nopixel' ),
            'slug'                     => 'nopixel-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/nopixel-common.zip',
        ),
      array(
            'name'                     => esc_html__( 'Nopixel Elementor', 'nopixel' ),
            'slug'                     => 'nopixel-elementor',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/nopixel-elementor.zip',
        ),
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'nopixel' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'nopixel' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'nopixel' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'nopixel' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'nopixel' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'nopixel' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'nopixel' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'nopixel' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'nopixel' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'nopixel' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'nopixel' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'nopixel' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'nopixel' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'nopixel' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'nopixel' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'nopixel' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'nopixel' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}


function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328726&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        ?>