<?php
/**
 * The Template for displaying all single posts
 */
$nopixel_redux_demo = get_option('redux_demo');
get_header(); ?>

<?php 
while (have_posts()): the_post();
    ?>

    <?php if(isset($nopixel_redux_demo['blog_image']['url']) && $nopixel_redux_demo['blog_image']['url'] != ''){?>
        <div class="banner-header section-padding valign bg-img bg-fixed" data-overlay-dark="4" data-background="<?php echo esc_url($nopixel_redux_demo['blog_image']['url']);?>">
        <?php }else{?>
            <div class="banner-header section-padding valign bg-img bg-fixed" data-overlay-dark="4" data-background="<?php echo get_template_directory_uri();?>/assets/img/slider/04.jpg">
            <?php } ?>
            <div class="container">
                <div class="row">
                    <div class="col-md-6 text-left caption mt-90">
                        <h5 class="animate-box" data-animate-effect="fadeInUp"><a href="<?php echo esc_url(home_url('/')); ?>">Home</a> / <?php if(isset($nopixel_redux_demo['blog_detail_meta']) && $nopixel_redux_demo['blog_detail_meta'] != ''){?>
                            <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['blog_detail_meta']));?>
                        <?php }else{?>
                            <?php echo esc_html__( 'News', 'nopixel' );
                        }
                        ?></h5>
                        <h1 class="animate-box" data-animate-effect="fadeInUp"><?php the_title();?></h1>
                        <hr class="animate-box" data-animate-effect="fadeInUp">
                        <p class="animate-box" data-animate-effect="fadeInUp"><?php if(isset($nopixel_redux_demo['blog_subtitle']) && $nopixel_redux_demo['blog_subtitle'] != ''){?>
                            <?php echo htmlspecialchars_decode(esc_attr($nopixel_redux_demo['blog_subtitle']));?>
                        <?php }else{?>
                            <?php echo esc_html__( 'Grab a cuppa, a doughnut and get comfy to read our latest news & trends...', 'nopixel' );
                        }
                        ?></p>
                    </div>
                </div>
            </div>
        </div>
        <!-- hr -->
        <hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">
        <!-- Post -->
        <div class="section-padding">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <?php the_content(); ?>
                        <?php wp_link_pages(); ?>
                    </div>
                </div>
                <div class="nopixel-comment-section">
                    <div class="row">
                        <!-- Comment -->
                        <?php comments_template();?>
                    </div>
                </div>
            </div>
        </div>
        <!-- Prev-Next Post -->
        <div class="nopixel-post-prev-next">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="d-sm-flex align-items-center justify-content-between">
                            <div class="nopixel-post-prev-next-left">
                                <?php previous_post_link(); ?>
                            </div>
                            <div class="nopixel-post-prev-next-right"> <?php next_post_link(); ?>  </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- hr -->

    <hr class="line-vr-section animate-box" data-animate-effect="fadeInUp">

<?php endwhile; ?>
<?php
get_footer();
?>