<?php
// register post type Portfolio

add_action( 'init', 'register_nopixel_Portfolio' );
function register_nopixel_Portfolio() {
    
    $labels = array( 
        'name' => __( 'Portfolio', 'nopixel' ),
        'singular_name' => __( 'Portfolio', 'nopixel' ),
        'add_new' => __( 'Add New Portfolio', 'nopixel' ),
        'add_new_item' => __( 'Add New Portfolio', 'nopixel' ),
        'edit_item' => __( 'Edit Portfolio', 'nopixel' ),
        'new_item' => __( 'New Portfolio', 'nopixel' ),
        'view_item' => __( 'View Portfolio', 'nopixel' ),
        'search_items' => __( 'Search Portfolio', 'nopixel' ),
        'not_found' => __( 'No Portfolio found', 'nopixel' ),
        'not_found_in_trash' => __( 'No Portfolio found in Trash', 'nopixel' ),
        'parent_item_colon' => __( 'Parent Portfolio:', 'nopixel' ),
        'menu_name' => __( 'Portfolio', 'nopixel' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Portfolio',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Portfolio', 'type' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-hammer', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_style' => 'post'
    );

    register_post_type( 'Portfolio', $args );
}
add_action( 'init', 'create_PortfolioType_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_PortfolioType_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'nopixel' ),
    'singular_name' => __( 'Type', 'nopixel' ),
    'search_items' =>  __( 'Search Type','nopixel' ),
    'all_items' => __( 'All Type','nopixel' ),
    'parent_item' => __( 'Parent Type','nopixel' ),
    'parent_item_colon' => __( 'Parent Type:','nopixel' ),
    'edit_item' => __( 'Edit Type','nopixel' ), 
    'update_item' => __( 'Update Type','nopixel' ),
    'add_new_item' => __( 'Add New Type','nopixel' ),
    'new_item_name' => __( 'New Type Name','nopixel' ),
    'menu_name' => __( 'Type','nopixel' ),
  );     

// Now register the taxonomy

  register_taxonomy('type',array('Portfolio',), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));


}



add_action( 'init', 'register_nopixel_Service' );
function register_nopixel_Service() {
    
    $labels = array( 
        'name' => __( 'Service', 'nopixel' ),
        'singular_name' => __( 'Service', 'nopixel' ),
        'add_new' => __( 'Add New Service', 'nopixel' ),
        'add_new_item' => __( 'Add New Service', 'nopixel' ),
        'edit_item' => __( 'Edit Service', 'nopixel' ),
        'new_item' => __( 'New Service', 'nopixel' ),
        'view_item' => __( 'View Service', 'nopixel' ),
        'search_items' => __( 'Search Service', 'nopixel' ),
        'not_found' => __( 'No Service found', 'nopixel' ),
        'not_found_in_trash' => __( 'No Service found in Trash', 'nopixel' ),
        'parent_item_colon' => __( 'Parent Service:', 'nopixel' ),
        'menu_name' => __( 'Service', 'nopixel' ),
    );

    $args = array( 
        'labels' => $labels,
        'hierarchical' => true,
        'description' => 'List Service',
        'supports' => array( 'title', 'editor', 'thumbnail', 'comments'),
        'taxonomies' => array( 'Service', 'type1' ),
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'menu_position' => 5,
        'menu_icon' => 'dashicons-universal-access', 
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => false,
        'has_archive' => true,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'capability_style' => 'post'
    );

    register_post_type( 'Service', $args );
}
add_action( 'init', 'create_ServiceType_hierarchical_taxonomy', 0 );

//create a custom taxonomy name it Skillss for your posts

function create_ServiceType_hierarchical_taxonomy() {

// Add new taxonomy, make it hierarchical like Skills
//first do the translations part for GUI

  $labels = array(
    'name' => __( 'Type', 'nopixel' ),
    'singular_name' => __( 'Type', 'nopixel' ),
    'search_items' =>  __( 'Search Type','nopixel' ),
    'all_items' => __( 'All Type','nopixel' ),
    'parent_item' => __( 'Parent Type','nopixel' ),
    'parent_item_colon' => __( 'Parent Type:','nopixel' ),
    'edit_item' => __( 'Edit Type','nopixel' ), 
    'update_item' => __( 'Update Type','nopixel' ),
    'add_new_item' => __( 'Add New Type','nopixel' ),
    'new_item_name' => __( 'New Type Name','nopixel' ),
    'menu_name' => __( 'Type','nopixel' ),
  );     

// Now register the taxonomy

  register_taxonomy('type1',array('Service',), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'show_admin_column' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type1' ),
  ));


}