<?php
/**
 * Plugin Name: Meta Box
 * Plugin URI:  https://metabox.io
 * Description: Create custom meta boxes and custom fields in WordPress.
 * Version:     5.3.3
 * Author:      MetaBox.io
 * Author URI:  https://metabox.io
 * License:     GPL2+
 * Text Domain: meta-box
 * Domain Path: /languages/
 *
 * @package Meta Box
 */

if ( defined( 'ABSPATH' ) && ! defined( 'RWMB_VER' ) ) {
    register_activation_hook( __FILE__, 'rwmb_check_php_version' );

    /**
     * Display notice for old PHP version.
     */
    function rwmb_check_php_version() {
        if ( version_compare( phpversion(), '5.3', '<' ) ) {
            die( esc_html__( 'Meta Box requires PHP version 5.3+. Please contact your host to upgrade.', 'meta-box' ) );
        }
    }




    require_once dirname( __FILE__ ) . '/inc/loader.php';
    $rwmb_loader = new RWMB_Loader();
    $rwmb_loader->init();


    add_filter( 'rwmb_meta_boxes', function ( $meta_boxes ) {

    $prefix = '_cmb_';


  // Open Code


    $meta_boxes[] = array(

        'id'         => 'post_setting',

        'title'      => 'Post Setting',

        'pages'      => array('post'), // Post type

        'context'    => 'normal',

        'priority'   => 'high',

        'show_names' => true, // Show field names on the left

        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox

        'fields' => array(

            array(

                'name' => 'Single Image',

                'desc' => 'Input Single Image',

                'id'   => $prefix . 'single_image',

                'type'    => 'image',

            ),

        )

    );


    $meta_boxes[] = array(

        'id'         => 'services_setting',

        'title'      => 'Services Setting',

        'pages'      => array('service'), // Post type

        'context'    => 'normal',

        'priority'   => 'high',

        'show_names' => true, // Show field names on the left

        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox

        'fields' => array(

            array(

                'name' => 'Services Number',

                'desc' => 'Show In Home Page',

                'id'   => $prefix . 'service_number',

                'type'    => 'text',

            ),

            array(

                'name' => 'Services Icon',

                'desc' => 'Show In Home Page',

                'id'   => $prefix . 'service_icon',

                'type'    => 'text',

            ),

            array(

                'name' => 'Services Content',

                'desc' => 'Show In Home Page',

                'id'   => $prefix . 'service_content',

                'type'    => 'textarea',

            ),

        )

    );

    $meta_boxes[] = array(

        'id'         => 'services_setting',

        'title'      => 'Services Setting',

        'pages'      => array('portfolio'), // Post type

        'context'    => 'normal',

        'priority'   => 'high',

        'show_names' => true, // Show field names on the left

        //'show_on'    => array( 'key' => 'id', 'value' => array( 2, ), ), // Specific post IDs to display this metabox

        'fields' => array(

            array(

                'name' => 'Portfolio Meta',

                'desc' => 'Input Portfolio Meta',

                'id'   => $prefix . 'portfolio_meta',

                'type'    => 'textarea',

            ),

        )

    );



// End Code
    return $meta_boxes;
});
}
